%define upstream_name    Bio-DB-NCBIHelper
%define upstream_version 1.7.7

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Taxonomy Entrez driver
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Bio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bio::DB::Query::WebQuery)
BuildRequires: perl(Bio::DB::Taxonomy)
BuildRequires: perl(Bio::DB::WebDBSeqI)
BuildRequires: perl(Bio::Root::IO)
BuildRequires: perl(Bio::Root::Root)
BuildRequires: perl(Bio::SeqIO)
BuildRequires: perl(Bio::SeqIO::entrezgene)
BuildRequires: perl(Bio::Taxon)
BuildRequires: perl(Bio::WebAgent)
BuildRequires: perl(CGI)
BuildRequires: perl(Cache::FileCache)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(XML::Twig)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Allows the dynamic retrieval of Bio::Seq sequence objects from
the GenBank database at NCBI, via an Entrez query.

WARNING: Please do *NOT* spam the Entrez web server with multiple requests.
NCBI offers Batch Entrez for this purpose.

Note that when querying for GenBank accessions starting with 'NT_' you will
need to call $gb->request_format('fasta') beforehand, because in GenBank
format (the default) the sequence part will be left out (the reason is that
NT configs are rather annotation with references to clones).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# use Test::RequiresInternet:
rm -f t/EntrezGene.t t/GenBank.t t/GenPept.t t/Query-Genbank.t t/RefSeq.t t/Taxonomy.t
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%_bindir/bp_*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 1.7.7-2.mga9
+ Revision: 1830481
- Mageia 9 Mass Rebuild

* Mon Jul 05 2021 tv <tv> 1.7.7-1.mga9
+ Revision: 1734776
- update to 1.7.7

* Tue Feb 18 2020 umeabot <umeabot> 1.7.6-2.mga8
+ Revision: 1539618
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 tv <tv> 1.7.6-1.mga8
+ Revision: 1465380
- do not run tests that need internet access
- imported package perl-Bio-DB-NCBIHelper


* Mon Dec 09 2019 Thierry Vignaud <tv@mageia.org> 1.7.6-1.mga8
- initial mageia release, generated with cpan2dist
